SDLTest_TestSuiteReference Struct Reference

`#include <SDL_test_harness.h>`

Collaboration diagram for SDLTest_TestSuiteReference:
[legend]

## Data Fields

char * | name
SDLTest_TestCaseSetUpFp | testSetUp
const SDLTest_TestCaseReference ** | testCases
SDLTest_TestCaseTearDownFp | testTearDown

## Detailed Description

Holds information about a test suite (multiple test cases).

Definition at line 89 of file SDL_test_harness.h.

## Field Documentation

char* SDLTest_TestSuiteReference::name

Definition at line 91 of file SDL_test_harness.h.

Referenced by SDLTest_LogTestSuiteSummary(), SDLTest_RunSuites(), and SDLTest_RunTest().

const SDLTest_TestCaseReference** SDLTest_TestSuiteReference::testCases

Definition at line 95 of file SDL_test_harness.h.

Referenced by SDLTest_LogTestSuiteSummary(), and SDLTest_RunSuites().

SDLTest_TestCaseSetUpFp SDLTest_TestSuiteReference::testSetUp

Definition at line 93 of file SDL_test_harness.h.

Referenced by SDLTest_RunTest().

SDLTest_TestCaseTearDownFp SDLTest_TestSuiteReference::testTearDown

Definition at line 97 of file SDL_test_harness.h.

Referenced by SDLTest_RunTest().

The documentation for this struct was generated from the following file:

- include/SDL_test_harness.h